<?php 

require_once "../controladores/rol.controlador.php";
require_once "../modelos/rol.modelo.php";
class AjaxRol {

    /** EDITAR ROL */

    public $idRol;
	public $idRol1;

    public function ajaxEditarRol(){

        $item = "id";
        $valor = $this -> idRol;
        $respuesta = ControladorRol:: ctrMostrarRol($item, $valor);

        echo json_encode($respuesta);

    } 

	    public function ajaxEditarRol1(){

        $item = "usuario_id";
        $valor = $this -> idRol1;
        $respuesta = ControladorRol:: ctrMostrarRol1($item, $valor);

        echo json_encode($respuesta);

    } 


    public $activarRol;
	public $activarId;


	public function ajaxActivarRol(){

		$tabla = "rol";

		$item1 = "activo";
		$valor1 = $this->activarRol;

		$item2 = "id";
		$valor2 = $this->activarId;

		$respuesta = ModeloRol::mdlActualizarRol($tabla, $item1, $valor1, $item2, $valor2);

	}

}

/** EDITAR ROL */

if(isset($_POST["idRol"])){
    $editar = new AjaxRol();
    $editar -> idRol = $_POST["idRol"];
    $editar -> ajaxEditarRol();

}

if(isset($_POST["idRol1"])){
    $editar = new AjaxRol();
    $editar -> idRol1 = $_POST["idRol1"];
    $editar -> ajaxEditarRol1();

}

if(isset($_POST["activarRol"])){

	$activarRol = new AjaxRol();
	$activarRol -> activarRol = $_POST["activarRol"];
	$activarRol -> activarId = $_POST["activarId"];
	$activarRol -> ajaxActivarRol();

}


